Bug 973889 - [abrt] cinnamon-1.6.7-2.fc18: psh_hint_table_activate_mask: Process /usr/bin/cinnamon was killed by signal 11 (SIGSEGV)
[abrt] cinnamon-1.6.7-2.fc18: psh_hint_table_activate_mask: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:638809e365b0e334721b95b4fb3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 00:26 EDT by gray.timothyjames
Modified: 2014-02-05 16:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:48:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (179.71 KB, text/plain)
2013-06-13 00:26 EDT, gray.timothyjames
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: core_backtrace (6.14 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: dso_list (20.74 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: environ (1.48 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: maps (90.91 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: open_fds (4.60 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: var_log_messages (11.65 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details
File: xsession_errors (14.78 KB, text/plain)
2013-06-13 00:27 EDT, gray.timothyjames
no flags Details

  None (edit)
Description gray.timothyjames 2013-06-13 00:26:50 EDT
Description of problem:
entire system freeze.  mouse can move, but can't affect anything - clicks have no effects.  keyboard strokes do nothing at all.  however, music or videos continue to play.

Version-Release number of selected component:
cinnamon-1.6.7-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/cinnamon
crash_function: psh_hint_table_activate_mask
executable:     /usr/bin/cinnamon
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 psh_hint_table_activate_mask at /usr/src/debug/freetype-2.4.10/src/pshinter/pshalgo.c:272
 #1 psh_glyph_find_strong_points at /usr/src/debug/freetype-2.4.10/src/pshinter/pshalgo.c:1729
 #2 ps_hints_apply at /usr/src/debug/freetype-2.4.10/src/pshinter/pshalgo.c:2279
 #3 t1_decoder_parse_charstrings at /usr/src/debug/freetype-2.4.10/src/psaux/t1decode.c:1095
 #4 T1_Parse_Glyph_And_Get_Char_String at /usr/src/debug/freetype-2.4.10/src/type1/t1gload.c:93
 #5 T1_Load_Glyph at /usr/src/debug/freetype-2.4.10/src/type1/t1gload.c:352
 #6 FT_Load_Glyph at /usr/src/debug/freetype-2.4.10/src/base/ftobjs.c:694
 #8 _cairo_ft_scaled_glyph_init at cairo-ft-font.c:2159
 #9 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:2977
 #10 _cairo_scaled_font_single_glyph_device_extents at cairo-scaled-font.c:2167
Comment 1 gray.timothyjames 2013-06-13 00:26:57 EDT
Created attachment 760430 [details]
File: backtrace
Comment 2 gray.timothyjames 2013-06-13 00:27:01 EDT
Created attachment 760431 [details]
File: cgroup
Comment 3 gray.timothyjames 2013-06-13 00:27:04 EDT
Created attachment 760432 [details]
File: core_backtrace
Comment 4 gray.timothyjames 2013-06-13 00:27:07 EDT
Created attachment 760434 [details]
File: dso_list
Comment 5 gray.timothyjames 2013-06-13 00:27:11 EDT
Created attachment 760435 [details]
File: environ
Comment 6 gray.timothyjames 2013-06-13 00:27:14 EDT
Created attachment 760436 [details]
File: limits
Comment 7 gray.timothyjames 2013-06-13 00:27:18 EDT
Created attachment 760437 [details]
File: maps
Comment 8 gray.timothyjames 2013-06-13 00:27:21 EDT
Created attachment 760438 [details]
File: open_fds
Comment 9 gray.timothyjames 2013-06-13 00:27:24 EDT
Created attachment 760439 [details]
File: proc_pid_status
Comment 10 gray.timothyjames 2013-06-13 00:27:28 EDT
Created attachment 760440 [details]
File: var_log_messages
Comment 11 gray.timothyjames 2013-06-13 00:27:31 EDT
Created attachment 760441 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 08:59:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:48:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.